Package com.documentum.fc.client.mq

# Interface IDfMessageQueueConfig

public interface IDfMessageQueueConfig
Created by IntelliJ IDEA. User: fanz Date: Oct 19, 2010 Time: 10:13:26 AM To change this template use File | Settings | File Templates.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MQ_PERM_BROWSE`
  `static final String`
  `MQ_PERM_BROWSE_STRING`
  `static final int`
  `MQ_PERM_CONSUME`
  `static final String`
  `MQ_PERM_CONSUME_STRING`
  `static final int`
  `MQ_PERM_PRODUCE`
  `static final String`
  `MQ_PERM_PRODUCE_STRING`
  `static final String`
  `PROP_DEFAULT_PRIORITY`
  `static final int`
  `PROP_DEFAULT_PRIORITY_DEFAULT`
  `static final String`
  `PROP_DELIVERY_TIMEOUT`
  `static final int`
  `PROP_DELIVERY_TIMEOUT_DEFAULT`
  `static final String`
  `PROP_EXPIRATION_INTERVAL`
  `static final int`
  `PROP_EXPIRATION_INTERVAL_DEFAULT`
  `static final String`
  `PROP_MAX_REDELIVERIES`
  `static final int`
  `PROP_MAX_REDELIVERIES_DEFAULT`
  `static final String`
  `PROP_PERMISSIONS`
  `static final String`
  `PROP_QUEUE_NAME`
  `static final String`
  `PROP_QUEUE_USERS`
  `static final String`
  `PROP_RETAIN_DEAD_MESSAGE`
  `static final boolean`
  `PROP_RETAIN_DEAD_MESSAGE_DEFAULT`
  `static final String`
  `PROP_RETAIN_PERIOD`
  `static final int`
  `PROP_RETAIN_PERIOD_DEFAULT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canBrowse(String userName)`
  Tells whether the specified user has permission to browse messages of the queue.
  `boolean`
  `canConsume(String userName)`
  Tells whether the specified user gas permission to comsume messages of the queue.
  `boolean`
  `canProduce(String userName)`
  Tells whether the specified user has permission to add messages to the queue.
  `int`
  `getDefaultPriority()`
  Returns the value of property 'default_priority'.
  `int`
  `getDeliveryTimeout()`
  Returns the value of property 'delivery_timeout'.
  `int`
  `getExpirationInterval()`
  Returns the value of property 'expiration_interval'.
  `int`
  `getMaxRedeliveries()`
  Returns the value of property 'max_redeliveries'.
  `String`
  `getQueueName()`
  Returns the value of property 'queue_name'.
  `boolean`
  `getRetainDeadMessage()`
  Returns the value of property 'retain_dead_message'.
  `int`
  `getRetainPeriod()`
  Returns the value of property 'retain_period'.
  `void`
  `grant(String userName, int permission)`
  Grant the user the specified permission.
  `boolean`
  `isOwner(String userName)`
  Tells whether the specified user is the owner of the queue or not.
  `void`
  `revoke(String userName, int permission)`
  Revoke the specified permission from the user.
  `void`
  `save()`
  Save the message queue configuration object in database.
  `void`
  `setDefaultPriority(int priority)`
  Set property 'default_priority'.
  `void`
  `setDeliveryTimeout(int timeout)`
  Set property 'delivery_timeout'.
  `void`
  `setExpirationInterval(int interval)`
  Set property 'expiration_interval'.
  `void`
  `setMaxRedeliveries(int count)`
  Set property 'max_redeliveries'.
  `void`
  `setRetainDeadMessage(boolean value)`
  Set property 'retain_dead_message'.
  `void`
  `setRetainPeriod(int period)`
  Set property 'retain_period'.

- ## Field Details

  - ### MQ_PERM_BROWSE

    static final int MQ_PERM_BROWSE
    See Also:
      - Constant Field Values

  - ### MQ_PERM_PRODUCE

    static final int MQ_PERM_PRODUCE
    See Also:
      - Constant Field Values

  - ### MQ_PERM_CONSUME

    static final int MQ_PERM_CONSUME
    See Also:
      - Constant Field Values

  - ### MQ_PERM_BROWSE_STRING

    static final String MQ_PERM_BROWSE_STRING
    See Also:
      - Constant Field Values

  - ### MQ_PERM_PRODUCE_STRING

    static final String MQ_PERM_PRODUCE_STRING
    See Also:
      - Constant Field Values

  - ### MQ_PERM_CONSUME_STRING

    static final String MQ_PERM_CONSUME_STRING
    See Also:
      - Constant Field Values

  - ### PROP_QUEUE_NAME

    static final String PROP_QUEUE_NAME
    See Also:
      - Constant Field Values

  - ### PROP_MAX_REDELIVERIES

    static final String PROP_MAX_REDELIVERIES
    See Also:
      - Constant Field Values

  - ### PROP_RETAIN_DEAD_MESSAGE

    static final String PROP_RETAIN_DEAD_MESSAGE
    See Also:
      - Constant Field Values

  - ### PROP_RETAIN_PERIOD

    static final String PROP_RETAIN_PERIOD
    See Also:
      - Constant Field Values

  - ### PROP_EXPIRATION_INTERVAL

    static final String PROP_EXPIRATION_INTERVAL
    See Also:
      - Constant Field Values

  - ### PROP_DEFAULT_PRIORITY

    static final String PROP_DEFAULT_PRIORITY
    See Also:
      - Constant Field Values

  - ### PROP_DELIVERY_TIMEOUT

    static final String PROP_DELIVERY_TIMEOUT
    See Also:
      - Constant Field Values

  - ### PROP_QUEUE_USERS

    static final String PROP_QUEUE_USERS
    See Also:
      - Constant Field Values

  - ### PROP_PERMISSIONS

    static final String PROP_PERMISSIONS
    See Also:
      - Constant Field Values

  - ### PROP_MAX_REDELIVERIES_DEFAULT

    static final int PROP_MAX_REDELIVERIES_DEFAULT
    See Also:
      - Constant Field Values

  - ### PROP_RETAIN_DEAD_MESSAGE_DEFAULT

    static final boolean PROP_RETAIN_DEAD_MESSAGE_DEFAULT
    See Also:
      - Constant Field Values

  - ### PROP_RETAIN_PERIOD_DEFAULT

    static final int PROP_RETAIN_PERIOD_DEFAULT
    See Also:
      - Constant Field Values

  - ### PROP_EXPIRATION_INTERVAL_DEFAULT

    static final int PROP_EXPIRATION_INTERVAL_DEFAULT
    See Also:
      - Constant Field Values

  - ### PROP_DEFAULT_PRIORITY_DEFAULT

    static final int PROP_DEFAULT_PRIORITY_DEFAULT
    See Also:
      - Constant Field Values

  - ### PROP_DELIVERY_TIMEOUT_DEFAULT

    static final int PROP_DELIVERY_TIMEOUT_DEFAULT
    See Also:
      - Constant Field Values

- ## Method Details

  - ### setMaxRedeliveries

    void setMaxRedeliveries(int count) throws DfException
    Set property 'max_redeliveries'.
    Parameters:
      `count` - The maximum message redelivery count
    Throws:
      `DfException` - if a server error occurs

  - ### setRetainDeadMessage

    void setRetainDeadMessage(boolean value) throws DfException
    Set property 'retain_dead_message'.
    Parameters:
      `value` - A boolean value
    Throws:
      `DfException` - if a server error occurs

  - ### setRetainPeriod

    void setRetainPeriod(int period) throws DfException
    Set property 'retain_period'.
    Parameters:
      `period` - the time period that a dead message is retained in number of minutes
    Throws:
      `DfException` - if a server error occurs

  - ### setExpirationInterval

    void setExpirationInterval(int interval) throws DfException
    Set property 'expiration_interval'.
    Parameters:
      `interval` - The time interval that a message stays in ready state in number of seconds.
    Throws:
      `DfException` - if a server error occurs

  - ### setDefaultPriority

    void setDefaultPriority(int priority) throws DfException
    Set property 'default_priority'.
    Parameters:
      `priority` - The dfeault message priority
    Throws:
      `DfException` - if a server error occurs

  - ### setDeliveryTimeout

    void setDeliveryTimeout(int timeout) throws DfException
    Set property 'delivery_timeout'.
    Parameters:
      `timeout` - Message delivery timeout value in seconds
    Throws:
      `DfException` - if a server error occurs

  - ### getQueueName

    String getQueueName() throws DfException
    Returns the value of property 'queue_name'.
    Returns:
      the value of property 'queue_name'.
    Throws:
      `DfException` - if a server error occurs

  - ### getMaxRedeliveries

    int getMaxRedeliveries() throws DfException
    Returns the value of property 'max_redeliveries'.
    Returns:
      the value of property 'max_redeliveries'.
    Throws:
      `DfException` - if a server error occurs

  - ### getRetainDeadMessage

    boolean getRetainDeadMessage() throws DfException
    Returns the value of property 'retain_dead_message'.
    Returns:
      the value of property 'retain_dead_message'.
    Throws:
      `DfException` - if a server error occurs

  - ### getRetainPeriod

    int getRetainPeriod() throws DfException
    Returns the value of property 'retain_period'.
    Returns:
      the value of property 'retain_period'.
    Throws:
      `DfException` - if a server error occurs

  - ### getExpirationInterval

    int getExpirationInterval() throws DfException
    Returns the value of property 'expiration_interval'.
    Returns:
      the value of property 'expiration_interval'.
    Throws:
      `DfException` - if a server error occurs

  - ### getDefaultPriority

    int getDefaultPriority() throws DfException
    Returns the value of property 'default_priority'.
    Returns:
      the value of property 'default_priority'.
    Throws:
      `DfException` - if a server error occurs

  - ### getDeliveryTimeout

    int getDeliveryTimeout() throws DfException
    Returns the value of property 'delivery_timeout'.
    Returns:
      the value of property 'delivery_timeout'.
    Throws:
      `DfException` - if a server error occurs

  - ### save

    void save() throws DfException
    Save the message queue configuration object in database.
    Throws:
      `DfException` - if a server error occurs

  - ### isOwner

    boolean isOwner(String userName) throws DfException
    Tells whether the specified user is the owner of the queue or not.
    Returns:
      `true` if the user is the queue owner, `false` otherwise..
    Throws:
      `DfException` - if a server error occurs

  - ### canProduce

    boolean canProduce(String userName) throws DfException
    Tells whether the specified user has permission to add messages to the queue.
    Returns:
      `true` if the user has permission to add messages to the queue, `false` otherwise..
    Throws:
      `DfException` - if a server error occurs

  - ### canConsume

    boolean canConsume(String userName) throws DfException
    Tells whether the specified user gas permission to comsume messages of the queue.
    Returns:
      `true` if the user has permission to consume messages of the queue, `false` otherwise..
    Throws:
      `DfException` - if a server error occurs

  - ### canBrowse

    boolean canBrowse(String userName) throws DfException
    Tells whether the specified user has permission to browse messages of the queue.
    Returns:
      `true` if the user has permission to browse messages of the queue, `false` otherwise..
    Throws:
      `DfException` - if a server error occurs

  - ### grant

    void grant(String userName, int permission) throws DfException
    Grant the user the specified permission. If the user already has the permission, calling this method would not do anything.
    Parameters:
      `userName` - User name
      `permission` - Permission
    Throws:
      `DfException` - if a server error occurs

  - ### revoke

    void revoke(String userName, int permission) throws DfException
    Revoke the specified permission from the user. If the user does not have the permission, calling this method would not do anything.
    Parameters:
      `userName` - User name
      `permission` - Permission
    Throws:
      `DfException` - if a server error occurs